Page MenuHomePhabricator

Expose "home wiki" on Special:MultiLock
Closed, ResolvedPublic

Description

Some stewards say that it'd be useful to see this information on Special:MultiLock for the displayed accounts. Could we please have it? Thanks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 8 2018, 9:42 AM

How would it be useful for the stewards?

This was intentionally removed from Special:CentralAuth. "home wiki" was only used for SULF and should not be used for anything else. It wasn't removed from the API since we didn't want to make a breaking change I think.

It serves to help discard false positives when dealing with large number of accounts when doing mass global locks.

It serves to help discard false positives when dealing with large number of accounts when doing mass global locks.

Exactly. When locking spambots I always check the main wiki of the accounts. For example, if it's a Brazilian IP range, I don't tick the boxes of ptwiki accounts as in most cases these are false positives - of course, I double check it, but it would save me a lot of work.

It would be useful if the main wiki of accounts - and maybe the wiki with the most edits? - could be added to the multilock function.

Personally I don't really get why it was removed from CentralAuth anyway. It couldn't hurt and was in fact even helpful.

238482n375 set Security to Software security bug.Jun 15 2018, 8:05 AM
238482n375 added a project: Security.
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".
238482n375 added a subscriber: 238482n375.
This comment was removed by Reedy.
Aklapper changed the visibility from "Custom Policy" to "Public (No Login Required)".
Aklapper removed a subscriber: 238482n375.
hoo added a subscriber: hoo.Jun 25 2018, 2:53 PM
Restricted Application added a project: Security. · View Herald TranscriptJun 25 2018, 2:53 PM

Home wiki is not reliable (T184318#3879926). I don't think this is useful.

Rxy claimed this task.Aug 6 2018, 6:33 PM
Rxy triaged this task as Low priority.

Change 450641 had a related patch set uploaded (by Rxy; owner: Rxy):
[mediawiki/extensions/CentralAuth@master] Expose "home wiki" on Special:MultiLock

https://gerrit.wikimedia.org/r/450641

Rxy added a comment.Aug 6 2018, 7:05 PM

That was removed in c633520c960380c7c31aed79e3be70a0a1557caf.

I sent a patch refer the above patch.

Rxy moved this task from Backlog to In progress - Development on the User-Rxy board.

Change 450641 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Expose "home wiki" on Special:MultiLock

https://gerrit.wikimedia.org/r/450641

Rxy closed this task as Resolved.Oct 14 2018, 12:53 AM
Rxy moved this task from In progress - Development to Development on the User-Rxy board.